#ifndef GE_INCLUDED // -*- C++ -*-
#define GE_INCLUDED

/*--------------------------------------------------------------------------

   main.h v3.0 7/March/2008
   Copyright (C) 2008 J. Ribelles

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

  --------------------------------------------------------------------------*/

#define mainWindowWidth  1000
#define mainWindowHeight  768
#define mainWindowPosX     50
#define mainWindowPosY     50

#define NO_BUTTON_PRESSED              3
#define LEFT_BUTTON_HOLDED             4
#define LEFT_BUTTON_AND_CONTROL_HOLDED 5
#define LEFT_BUTTON_AND_SHIFT_HOLDED   7
#define GLUT_LEFT_BUTTON_AND_SHIFT     6
#define GLUT_LEFT_BUTTON_AND_CONTROL   8

#define id_translate     1
#define id_rotate        2
#define id_scale         3
#define id_sphere        8
#define id_cube          9
#define id_cone         10
#define id_torus        11
#define id_teapot       12
#define id_dodecahedron 13
#define id_octahedron   14
#define id_tetrahedron  15
#define id_icosahedron  16
#define id_save          5
#define id_load          6
#define id_quit          7
#define id_select       17
#define id_delete       18
#define id_create       19
#define id_radioPrimitives      20
#define id_radioTransformations 21
#define id_do           22
#define id_undo         23
#define id_value5       24
#define id_value6       25
#define id_value7       26
#define id_value8       27
#define id_open		29
#define id_cancel	30
#define id_fb		31

#endif
